Package org.opensaml.messaging.decoder.httpclient

# Interface HttpClientResponseMessageDecoder

All Superinterfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageDecoder`

All Known Implementing Classes:
  `AbstractHttpClientResponseMessageDecoder`, `BaseHttpClientResponseXMLMessageDecoder`, `HttpClientResponseSOAP11Decoder`, `HttpClientResponseSOAP11Decoder`, `HttpClientResponseSOAP11Decoder`

public interface HttpClientResponseMessageDecoder extends MessageDecoder
A specialization of `MessageDecoder` that operates on a source message data type of `ClassicHttpResponse`.

## Method Summary

Modifier and Type
Method
Description
`org.apache.hc.core5.http.ClassicHttpResponse`
`getHttpResponse()`
Get the HTTP client response on which to operate.
`void`
`setHttpResponse(org.apache.hc.core5.http.ClassicHttpResponse response)`
Set the HTTP client response on which to operate.

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.decoder.MessageDecoder

`decode, getMessageContext`

## Method Details

### getHttpResponse

@Nullable org.apache.hc.core5.http.ClassicHttpResponse getHttpResponse()
Get the HTTP client response on which to operate.

Returns:
  the HTTP client response

### setHttpResponse

void setHttpResponse(@Nullable org.apache.hc.core5.http.ClassicHttpResponse response)
Set the HTTP client response on which to operate.

Parameters:
  `response` - the HTTP client response